# Copyright © 2015 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or later.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=5

PYTHON_COMPAT=( python2_7 )

inherit distutils-r1

MY_P=Mnemosyne-$PV

DESCRIPTION="A flash card tool to optimize your learning process"
HOMEPAGE="https://mnemosyne-proj.org/"
SRC_URI="mirror://sourceforge/mnemosyne-proj/$MY_P.tar.gz"

LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="$PYTHON_DEPS
	>=dev-python/PyQt4-4.5[webkit,sql,$PYTHON_USEDEP]
	>=dev-python/cherrypy-3.2[$PYTHON_USEDEP]
	dev-python/matplotlib[$PYTHON_USEDEP]
	dev-python/webob[$PYTHON_USEDEP]"
RDEPEND="$DEPEND
	dev-python/setuptools[$PYTHON_USEDEP]"

S=$WORKDIR/$MY_P

PATCHES=("$FILESDIR/mnemosyne-fix-desktop-categories.patch")
